Transform(3)

NAME
Transform

SYNOPSIS

#include <Transform.h>

  Public Member Functions
Transform ()
Transform (Quaternion &q)
Transform (Matrix3 &m)
Vector3< double > operator * (Vector3< double > v)

  Public Attributes
Transform * next
Vector3< double > origin
Vector3< double > axis
double angle
Vector3< double > trans
Vector3< double > scale
double fom

Detailed Description

Definition at line 24 of file Transform.h.

Constructor & Destructor Documentation

  Transform::Transform () [inline]

Definition at line 42 of file Transform.h.

  Transform::Transform (Quaternion & q) [inline]

Definition at line 44 of file Transform.h.

  Transform::Transform (Matrix3 & m) [inline]

Definition at line 47 of file Transform.h.

Member Function Documentation

  Vector3<double> Transform::operator * (Vector3< double > v) [inline]

Definition at line 51 of file Transform.h.

Member Data Documentation

  double Transform::angle

Definition at line 29 of file Transform.h.

  Vector3<double> Transform::axis

Definition at line 28 of file Transform.h.

  double Transform::fom

Definition at line 32 of file Transform.h.

  Transform* Transform::next

Definition at line 26 of file Transform.h.

  Vector3<double> Transform::origin

Definition at line 27 of file Transform.h.

  Vector3<double> Transform::scale

Definition at line 31 of file Transform.h.

  Vector3<double> Transform::trans

Definition at line 30 of file Transform.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.